LANGUAGE = Turbine.Engine.GetLanguage();

Strings = {};
UIOptions = {};

if LANGUAGE == Turbine.Language.German then 
	Strings["userchatter"] = "User Chatter";
	Strings["cmd_show"] = "anzeigen";
	Strings["cmd_hide"] = "verstecken";
	Strings["cmd_toggle"] = "umschalten";
	Strings["cmd_usage"] = "Aufruf: /userchatter [anzeigen|verstecken|umschalten]";
	Strings["cmd_help1"] = "anzeigen User Chatter-Fenster anzeigen";
	Strings["cmd_help2"] = "verstecken: User Chatter-Fenster nicht anzeigen";
	Strings["cmd_help3"] = "umschalten: Sichtbarkeit des User Chatter-Fensters umschalten";
	
	Strings["alias_list_channels"] = "kanalliste";
	Strings["alias_leave_channel"] = "kanalverlassen";
	Strings["alias_join_channel"] = "kanalverbinden";
	
	Strings["msg_current_channels"] = "Derzeitige Benutzerkanäle:";
	Strings["msg_not_in_channels"] = "Ihr seid derzeit in keinem Benutzerkanal.";
	Strings["msg_joined_room"] = "Ihr habt den Raum '(.+)' betreten %(UserChat(%d)%). Anzahl der Mitglieder: %d+.";
	Strings["msg_left_room"] = "Ihr habt den Raum '(.+)' verlassen.";
	Strings["msg_channel_details"] = "bc(%d): (.+.)";
	Strings["msg_not_connected"] = "<NICHT VERBUNDEN>";
	Strings["msg_details_with_password"] = "'(.+)'; Passwort = '(.+)'";
	Strings["msg_details_without_password"] = "'(.+)'";
	Strings["msg_you_to_channel"] = "%[An (%S+)%] '(.*)'%s*";
	Strings["msg_other_to_channel"] = "%[(%S+)%] (%S+): '(.*)'%s*";
	
	Strings["channel_details"] = "bc%d: '%s'";
	Strings["channel_details_with_password"] = "bc%d: '%s'; Passwort = '%s'";
	Strings["channel_details_with_unknownpassword"] = "bc%d: '%s'; Passwort = '<UNKNOWN>'";
	
	Strings["click_refresh"] = "Klicken Sie auf Aktualisieren, um mit dem Chat zu beginnen";
	Strings["join_channel"] = "Kanal verbinden";
	Strings["leave_channel"] = "Kanal verlassen";
	Strings["channel_info"] = "Kanalinformation";
	Strings["refresh"] = "Aktualisieren";
	Strings["chat"] = "Chat";
	Strings["not_connected"] = "nicht verbunden";
	Strings["channel_name"] = "Name des Kanals";
	Strings["password"] = "Passwort";
	Strings["cancel"] = "Abbrechen";
	Strings["ok"] = "OK";
	Strings["select_previous"] = "Oder Information eines bereits verbundenen Kanals auswaehlen";
	Strings["select"] = "- auswaehlen -";
 	Strings["forget"] = "Vergessen";
	Strings["out_of_sync"] = "Kanaele moeglicherweise nicht auf dem neuesten Stand, klicken Sie auf Aktualisieren";
	
	UIOptions["wide_channel_buttons"] = true;
	UIOptions["wide_chat_label"] = false;
elseif LANGUAGE == Turbine.Language.French then 
	Strings["userchatter"] = "User Chatter";
	Strings["cmd_show"] = "afficher";
	Strings["cmd_hide"] = "masquer";
	Strings["cmd_toggle"] = "basculer";
	Strings["cmd_usage"] = "utilisation: /userchatter [afficher|masquer|basculer]";
	Strings["cmd_help1"] = "afficher: Afficher la fen\195\170tre User Chatter";
	Strings["cmd_help2"] = "masquer: Masquer la fen\195\170tre User Chatter";
	Strings["cmd_help3"] = "basculer: Basculer la fen\195\170tre User Chatter";
	
	Strings["alias_list_channels"] = "listecanaux";
	Strings["alias_leave_channel"] = "quittercanal";
	Strings["alias_join_channel"] = "rejoindrecanal";
	
	Strings["msg_current_channels"] = "Canaux utilisateur actuels :";
	Strings["msg_not_in_channels"] = "Vous n'êtes actuellement connecté à aucun canal utilisateur.";
	Strings["msg_joined_room"] = "Vous avez rejoint le salon '(.+)' %(UserChat(%d)%). Nombre de membres : %d+%.";
	Strings["msg_left_room"] = "Vous avez quitté le salon (.+)'";
	Strings["msg_channel_details"] = "uc(%d): (.+.)";
	Strings["msg_not_connected"] = "<NOT CONNECTED>";
	Strings["msg_details_with_password"] = "'(.+)'; Mot de passe = '(.+)'";
	Strings["msg_details_without_password"] = "'(.+)'";
	Strings["msg_you_to_channel"] = "%[A (%S+)%] '(.*)'%s*";
	Strings["msg_other_to_channel"] = "%[(%S+)%] (%S+): '(.*)'%s*";
	
	Strings["channel_details"] = "uc%d: '%s'";
	Strings["channel_details_with_password"] = "uc%d: '%s'; Mot de passe = '%s'";
	Strings["channel_details_with_unknownpassword"] = "uc%d: '%s'; Mot de passe = '<UNKNOWN>'";
	
	Strings["click_refresh"] = "Cliquez sur \"Actualiser\" pour commencer à chatter";
	Strings["join_channel"] = "Rejoindre le canal";
	Strings["leave_channel"] = "Quitter le canal";
	Strings["channel_info"] = "À propos du canal";
	Strings["refresh"] = "Actualiser";
	Strings["chat"] = "Chatter";
	Strings["not_connected"] = "non connecté";
	Strings["channel_name"] = "Nom de chaîne";
	Strings["password"] = "Mot de passe";
	Strings["cancel"] = "Annuler";
	Strings["ok"] = "OK";
	Strings["select_previous"] = "Ou sélectionnez les détails d’un canal relié avant";
	Strings["select"] = "- selectionner -";
 	Strings["forget"] = "Oublier";
	Strings["out_of_sync"] = "Avertissement à l'Utilisateur : les canaux peuvent être désynchronisés ! Cliquez sur \"Actualiser\" pour mettre à jour";
	
	UIOptions["wide_channel_buttons"] = true;
	UIOptions["wide_chat_label"] = true;
else
	Strings["userchatter"] = "User Chatter";
	Strings["cmd_show"] = "show";
	Strings["cmd_hide"] = "hide";
	Strings["cmd_toggle"] = "toggle";
	Strings["cmd_usage"] = "usage: /userchatter [show|hide|toggle]";
	Strings["cmd_help1"] = "show: Display User Chatter Window";
	Strings["cmd_help2"] = "hide: Hide User Chatter Window";
	Strings["cmd_help3"] = "toggle: Toggle User Chatter Window";
	
	Strings["alias_list_channels"] = "listchannels";
	Strings["alias_leave_channel"] = "leavechannel";
	Strings["alias_join_channel"] = "joinchannel";
	
	Strings["msg_current_channels"] = "Current User Channels:";
	Strings["msg_not_in_channels"] = "You're not currently in any User Channels.";
	Strings["msg_joined_room"] = "You joined room '(.+)' %(UserChat(%d)%). Number of members: %d+%.";
	Strings["msg_left_room"] = "You left room '(.+)'";
	Strings["msg_channel_details"] = "uc(%d): (.+.)";
	Strings["msg_not_connected"] = "<NOT CONNECTED>";
	Strings["msg_details_with_password"] = "'(.+)'; Password = '(.+)'";
	Strings["msg_details_without_password"] = "'(.+)'";
	Strings["msg_you_to_channel"] = "%[To (%S+)%] '(.*)'%s*";
	Strings["msg_other_to_channel"] = "%[(%S+)%] (%S+): '(.*)'%s*";

	Strings["channel_details"] = "uc%d: '%s'";
	Strings["channel_details_with_password"] = "uc%d: '%s'; Password = '%s'";
	Strings["channel_details_with_unknownpassword"] = "uc%d: '%s'; Password = '<UNKNOWN>'";
	
	Strings["click_refresh"] = "Click the Refresh button to begin chatting";
	Strings["join_channel"] = "Join Channel";
	Strings["leave_channel"] = "Leave Channel";
	Strings["channel_info"] = "Channel Info";
	Strings["refresh"] = "Refresh";
	Strings["chat"] = "Chat";
	Strings["not_connected"] = "not connected";
	Strings["channel_name"] = "Channel Name";
	Strings["password"] = "Password";
	Strings["cancel"] = "Cancel";
	Strings["ok"] = "OK";
	Strings["select_previous"] = "Or select details from a previously joined channel";
	Strings["select"] = "- select -";
 	Strings["forget"] = "Forget";
	Strings["out_of_sync"] = "User Chatter Warning: Channels may be out of sync! Click the Refresh button to update";
	
	UIOptions["wide_channel_buttons"] = false;
	UIOptions["wide_chat_label"] = false;
end